<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:45 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>JobConfigurationServiceImpl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JobConfigurationServiceImpl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JobConfigurationServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/service/config/impl/GlobalParamServiceImpl.html" title="class in io.mosip.registration.service.config.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html" target="_top">Frames</a></li>
<li><a href="JobConfigurationServiceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.service.config.impl</div>
<h2 title="Class JobConfigurationServiceImpl" class="title">Class JobConfigurationServiceImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">io.mosip.registration.service.BaseService</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.service.config.impl.JobConfigurationServiceImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></dd>
</dl>
<hr>
<br>
<pre>@Service
public class <span class="typeNameLabel">JobConfigurationServiceImpl</span>
extends <a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a>
implements <a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></pre>
<div class="block">implementation class of <a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config"><code>JobConfigurationService</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>YASWANTH S</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../../io/mosip/registration/service/BaseService.html#serviceDelegateUtil">serviceDelegateUtil</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#JobConfigurationServiceImpl--">JobConfigurationServiceImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#executeAllJobs--">executeAllJobs</a></span>()</code>
<div class="block">Run all the jobs</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">execute the specified job</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getCurrentRunningJobDetails--">getCurrentRunningJobDetails</a></span>()</code>
<div class="block">To fetch the details of currently running job details</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getLastCompletedSyncJobs--">getLastCompletedSyncJobs</a></span>()</code>
<div class="block">Get Last Completed Sync Jobs from Sync Control</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getRestartTime--">getRestartTime</a></span>()</code>
<div class="block">Get restart time</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#getSyncJobsTransaction--">getSyncJobsTransaction</a></span>()</code>
<div class="block">Get history of Sync Jobs from Sync Transaction</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#initiateJobs--">initiateJobs</a></span>()</code>
<div class="block">To get the list of <a href="../../../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity"><code>SyncJobDef</code></a></div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#isRestart--">isRestart</a></span>()</code>
<div class="block">Is Application to be restart</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#startScheduler--">startScheduler</a></span>()</code>
<div class="block">Start the jobs with sheduled Time</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html#stopScheduler--">stopScheduler</a></span>()</code>
<div class="block">Stop the jobs manually</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../../io/mosip/registration/service/BaseService.html#getCenterId--">getCenterId</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getCenterId-java.lang.String-">getCenterId</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getGlobalConfigValueOf-java.lang.String-">getGlobalConfigValueOf</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getMacAddress--">getMacAddress</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getStationId-java.lang.String-">getStationId</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getUserIdFromSession--">getUserIdFromSession</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#isEmpty-java.util.List-">isEmpty</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#isNull-java.util.List-">isNull</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">isValidDevice</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JobConfigurationServiceImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JobConfigurationServiceImpl</h4>
<pre>public&nbsp;JobConfigurationServiceImpl()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="initiateJobs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initiateJobs</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/annotation/PostConstruct.html?is-external=true" title="class or interface in javax.annotation">@PostConstruct</a>
public&nbsp;void&nbsp;initiateJobs()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#initiateJobs--">JobConfigurationService</a></code></span></div>
<div class="block">To get the list of <a href="../../../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity"><code>SyncJobDef</code></a></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#initiateJobs--">initiateJobs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
</dl>
</li>
</ul>
<a name="startScheduler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startScheduler</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;startScheduler()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#startScheduler--">JobConfigurationService</a></code></span></div>
<div class="block">Start the jobs with sheduled Time</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#startScheduler--">startScheduler</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>responseDTO for start jobs</dd>
</dl>
</li>
</ul>
<a name="stopScheduler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopScheduler</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;stopScheduler()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#stopScheduler--">JobConfigurationService</a></code></span></div>
<div class="block">Stop the jobs manually</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#stopScheduler--">stopScheduler</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>responseDTO for stop jobs</dd>
</dl>
</li>
</ul>
<a name="getCurrentRunningJobDetails--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentRunningJobDetails</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;getCurrentRunningJobDetails()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getCurrentRunningJobDetails--">JobConfigurationService</a></code></span></div>
<div class="block">To fetch the details of currently running job details</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getCurrentRunningJobDetails--">getCurrentRunningJobDetails</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of job names currently executing if success</dd>
</dl>
</li>
</ul>
<a name="executeJob-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeJob</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;executeJob(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#executeJob-java.lang.String-java.lang.String-">JobConfigurationService</a></code></span></div>
<div class="block">execute the specified job</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jobId</code> - the job id</dd>
<dd><code>triggerPoint</code> - where (User/System) the job was triggered</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>responseDTO for execute job</dd>
</dl>
</li>
</ul>
<a name="getLastCompletedSyncJobs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastCompletedSyncJobs</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;getLastCompletedSyncJobs()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getLastCompletedSyncJobs--">JobConfigurationService</a></code></span></div>
<div class="block">Get Last Completed Sync Jobs from Sync Control</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getLastCompletedSyncJobs--">getLastCompletedSyncJobs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>responseDTO for last completedJobs</dd>
</dl>
</li>
</ul>
<a name="getSyncJobsTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSyncJobsTransaction</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;getSyncJobsTransaction()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getSyncJobsTransaction--">JobConfigurationService</a></code></span></div>
<div class="block">Get history of Sync Jobs from Sync Transaction</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getSyncJobsTransaction--">getSyncJobsTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>responseDTO for last transaction of each syncJob</dd>
</dl>
</li>
</ul>
<a name="executeAllJobs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeAllJobs</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;executeAllJobs()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#executeAllJobs--">JobConfigurationService</a></code></span></div>
<div class="block">Run all the jobs</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#executeAllJobs--">executeAllJobs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>response of job</dd>
</dl>
</li>
</ul>
<a name="isRestart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRestart</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;isRestart()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#isRestart--">JobConfigurationService</a></code></span></div>
<div class="block">Is Application to be restart</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#isRestart--">isRestart</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>response</dd>
</dl>
</li>
</ul>
<a name="getRestartTime--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRestartTime</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;getRestartTime()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getRestartTime--">JobConfigurationService</a></code></span></div>
<div class="block">Get restart time</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html#getRestartTime--">getRestartTime</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config">JobConfigurationService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>response</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JobConfigurationServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/service/config/impl/GlobalParamServiceImpl.html" title="class in io.mosip.registration.service.config.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html" target="_top">Frames</a></li>
<li><a href="JobConfigurationServiceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
